- updated to 19.04.1 auto/th/ka5-kdebugsettings-19.04.1-1
authorWitold Filipczyk <witekfl@poczta.onet.pl>
Mon, 13 May 2019 09:30:53 +0000 (11:30 +0200)
committerWitold Filipczyk <witekfl@poczta.onet.pl>
Mon, 13 May 2019 09:30:53 +0000 (11:30 +0200)
- packaged docs
- macro kframever

ka5-kdebugsettings.spec

index 175d5d4a738f34d006dc7ec2384540453f537978..35c526e4b2ed57c1d59bbf56828c222a777bbd45 100644 (file)
@@ -1,14 +1,15 @@
-%define                kdeappsver      18.12.1
+%define                kdeappsver      19.04.1
+%define                kframever       5.56.0
 %define                qtver           5.9.0
 %define                kaname          kdebugsettings
 Summary:       Kdebugettings
 Name:          ka5-%{kaname}
-Version:       18.12.1
+Version:       19.04.1
 Release:       1
 License:       GPL v2+/LGPL v2.1+
 Group:         X11/Libraries
 Source0:       http://download.kde.org/stable/applications/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
-# Source0-md5: 4db6c9f8ab84b5a3cb069d53f08930d1
+# Source0-md5: 3d205da2843c4edff2c9e37f1ee8fae0
 URL:           http://www.kde.org/
 BuildRequires: Qt5Core-devel >= %{qtver}
 BuildRequires: Qt5Gui-devel >= 5.11.1
@@ -16,14 +17,14 @@ BuildRequires:      Qt5Test-devel
 BuildRequires: Qt5Widgets-devel
 BuildRequires: cmake >= 2.8.12
 BuildRequires: gettext-devel
-BuildRequires: kf5-extra-cmake-modules >= 5.53.0
-BuildRequires: kf5-kcompletion-devel >= 5.46.0
-BuildRequires: kf5-kconfig-devel >= 5.46.0
-BuildRequires: kf5-kcoreaddons-devel >= 5.46.0
-BuildRequires: kf5-kdbusaddons-devel >= 5.46.0
-BuildRequires: kf5-ki18n-devel >= 5.46.0
-BuildRequires: kf5-kitemviews-devel >= 5.46.0
-BuildRequires: kf5-kwidgetsaddons-devel >= 5.46.0
+BuildRequires: kf5-extra-cmake-modules >= %{kframever}
+BuildRequires: kf5-kcompletion-devel >= %{kframever}
+BuildRequires: kf5-kconfig-devel >= %{kframever}
+BuildRequires: kf5-kcoreaddons-devel >= %{kframever}
+BuildRequires: kf5-kdbusaddons-devel >= %{kframever}
+BuildRequires: kf5-ki18n-devel >= %{kframever}
+BuildRequires: kf5-kitemviews-devel >= %{kframever}
+BuildRequires: kf5-kwidgetsaddons-devel >= %{kframever}
 BuildRequires: ninja
 BuildRequires: qt5-build >= %{qtver}
 BuildRequires: rpmbuild(macros) >= 1.164
@@ -43,6 +44,7 @@ install -d build
 cd build
 %cmake \
        -G Ninja \
+       -DHTML_INSTALL_DIR=%{_kdedocdir} \
        -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
        ..
 %ninja_build
This page took 0.079298 seconds and 4 git commands to generate.